package com.danitheskunk.skunkworks.gfx.font;

import com.danitheskunk.skunkworks.Vec2i;
import com.danitheskunk.skunkworks.gfx.ITexture;

public interface IFont {
	int getLineHeight(int ch);

	Vec2i getMonospaceSize();

	Vec2i getOffset(int ch);

	ITexture getTexture(int ch);

	int getXAdvance(int ch);

	boolean isCP437();

	@SuppressWarnings("BooleanMethodIsAlwaysInverted")
	boolean isMonospace();
}
